#!/bin/bash
#
#

if test $# -lt 2
then
	echo "Usage: $0 Si Sd [output.png]"
	echo "#=$#"
	exit 0
fi
if test $# -lt 3
then
	Output="pid.png"
else
	Output=$3
fi

Si=$1
Sd=$2

echo "Si='${Si}'; Sd='${Sd}'"
gnuplot -e "Si='${Si}'; Sd='${Sd}'" pidplane.gnu > ${Output}


