#
#   Disposizione dei poli e degli zeri nel piano complesso.
#   Copyright (C) 2010 2011 2014 2023  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#


load "pol.gnu"


# Zeri
q1=Disc(1.0, Rad( 40.0))
q2=Disc(1.0, Rad(-40.0))
q3=Disc(1.0, Rad( 70.0))
q4=Disc(1.0, Rad(-70.0))

# Poli
p1=Disc(0.95, Rad( 40.0))
p2=Disc(0.95, Rad(-40.0))
p3=Disc(0.95, Rad( 70.0))
p4=Disc(0.95, Rad(-70.0))



Filter_1(z)=  Dist(z,q1)*Dist(z,q2)*Dist(z,q3)*Dist(z,q4) / ( Dist(z,p1)*Dist(z,p2)*Dist(z,p3)*Dist(z,p4) )


