#
#   Zeroes polar chart drawing.
#   Copyright (C) 2010 2011 2013 2014  Alessandro Accattini
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; either version 2 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#
#
##############################################################################
#
#
#
#
#
#
#
#


#set term png size 320,240 x000000 xffffff


load "zeri_poli.gnu"



set polar
set dummy t

set grid polar pi/6
unset border
#set xzeroaxis linetype 0 linewidth 1.000
#set yzeroaxis linetype 0 linewidth 1.000

set key off

set samples 600

set trange[0:2*pi]
set rtics 0.25

set xrange[-1.25:1.25]
#set xtics axis 0.25
unset xtics
#set xlabel "x label"

set yrange[-1.25:1.25]
set ytics axis 0.25
#set ylabel "y label"

#set title "chart title"

# posiziona gli zeri
set label 1  "q1" at real(q1),imag(q1) tc lt 2 point ps 3 offset 0.4,0.4
set label 2  "q2" at real(q2),imag(q2) tc lt 2 point ps 3 offset 0.4,0.4
set label 3  "q3" at real(q3),imag(q3) tc lt 2 point ps 3 offset 0.4,0.4
set label 4  "q4" at real(q4),imag(q4) tc lt 2 point ps 3 offset 0.4,0.4

# posiziona i poli
set label 7  "p1" at real(p1),imag(p1) tc lt 1 point ps 3 offset 0.4,0.4
set label 8  "p2" at real(p2),imag(p2) tc lt 1 point ps 3 offset 0.4,0.4
set label 9  "p3" at real(p3),imag(p3) tc lt 1 point ps 3 offset 0.4,0.4
set label 10 "p4" at real(p4),imag(p4) tc lt 1 point ps 3 offset 0.4,0.4


#plot	1.0 notitle linetype 3 lw 1, \
#	Pol_dB(-60,0,10,Filter_1(zPol(t))) title "Filter 1" lw 3

plot	Pol_dB(-60,0,10,Filter_1(zPol(t))) title "Filter 1" lw 3
